package com.dayou.enums;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/10/30
 * created with IntelliJ IDEA.
 */
public enum MainBusinessEnum implements CodeMsgEnumInterface<String,String> {

    ITEM_BUSINESS("ITEM_BUSINESS","土规业务"),

    MAJOR_BUSINESS("MAJOR_BUSINESS","大中型业务"),

    PERSONAL_BUSINESS("PERSONAL_BUSINESS","个贷业务"),
    ASSET_BUSINESS("ASSET_BUSINESS","资产业务"),

    FINANCE_MANAGEMENT("FINANCE_MANAGEMENT","财务管理"),

    SETTING_MANAGEMENT("SETTING_MANAGEMENT","综合设置"),
    ALL_BUSINESS("ALL_BUSINESS","全局业务"),
    ;

   MainBusinessEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    private String code;

    private String name;


    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getMsg() {
        return name;
    }

}
